resumeSubscription
POST
/v1/subscriptions/{subscription_id}/resume
const url = 'https://testnet-rpc.necter.network/v1/subscriptions/example/resume';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/subscriptions/example/resume \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”subscription_id
required
string
Responses
Section titled “Responses”Resumed
Media typeapplication/json
object
subscription_id
required
string
project_id
required
string
project_name
string
node_id
required
string
owner
required
Lowercase EVM address
string
payout_address
Lowercase EVM address
string
status
required
string
collateral
required
Token base units
string
min_collateral
Token base units
string
collateral_health
string
pending_slashes
integer
slashed_total
Token base units
string
reputation
integer
uptime_bp
integer
leases_completed
integer
units_total
integer
earned_total
Token base units
string
token
object
address
required
Lowercase EVM address
string
symbol
required
string
name
string
decimals
required
integer
created_at
integer
Example
{ "status": "pending_collateral", "collateral_health": "healthy"}Authenticated but not allowed (forbidden, not_owner, not_enrolled, not_verified, scope_missing)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}conflict, duplicate, already_exists, invalid_state
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}